B2B API order webhook
Sent when the B2B API creates an order. This is not the final success signal.
POST
b2b.order.createdRequest body JSON required
Example request
{
"event": "b2b.order.created",
"event_id": "b2b.order.created:1CBDzqwiovwVrtFk6nZ1Aw",
"platform": "cardzone",
"source": "b2b_api",
"created_at": "2026-05-18T00:30:00+03:00",
"store": {
"id": 42,
"uuid": "018f7b72-91f9-7e0b-a6dc-8f9b2d42e901",
"name": "Demo Store",
"provider": "cardzone"
},
"order": {
"order_id": "1CBDzqwiovwVrtFk6nZ1Aw",
"merchant_order_ref": "merchant-order-10001",
"status": "processing",
"product_id": "018f7b75-0194-726a-9814-e26efa39dfac",
"product_code": "psn-sa-160",
"quantity": 1,
"purchase_price": {
"amount": "380.00",
"currency": "SAR"
},
"recommended_retail_price": {
"amount": "400.00",
"currency": "SAR"
},
"codes": [],
"actions": [],
"created_at": "2026-05-18T00:29:58+03:00"
}
}Returns
200
Return any 2xx status to acknowledge receipt.
